Subject: what is the cut-off date: EB-3 for CSPA principal or for LADs?

From: [email-masked] (Yi Guo)
Date: Wed, 16 Feb 94 20:13:33 CST

The cut off date is said to be July, 2, 1993.
What is this date?  The date for CSPA principal processing, or the visa number
current date for LADs (in other words, does this mean for LADs having the July
1, 1993 priority date, they can get PR now as the visa number is available?)
Thanks!